/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface IndexColumnData extends com.mysql.grt.GrtObjectData {

    public int getColumnLength();

    public int setColumnLength(int columnLength);

    public int getDescend();

    public int setDescend(int descend);

    public String getStoredFunction();

    public String setStoredFunction(String storedFunction);

    public String getComment();

    public String setComment(String comment);

    public com.mysql.grt.db.Column getReferedColumn();

    public com.mysql.grt.db.Column setReferedColumn(com.mysql.grt.db.Column referedColumn);

    public String getReferedColumnById();

    public void setReferedColumnById(String referedColumn);

}
