/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public interface ModelData extends com.mysql.grt.GrtObjectData {

    public com.mysql.grt.model.ViewList getViews();

    public com.mysql.grt.model.ViewList setViews(com.mysql.grt.model.ViewList views);

    public com.mysql.grt.model.MarkerList getMarkers();

    public com.mysql.grt.model.MarkerList setMarkers(com.mysql.grt.model.MarkerList markers);

    public com.mysql.grt.model.View getCurrentView();

    public com.mysql.grt.model.View setCurrentView(com.mysql.grt.model.View currentView);

    public String getCurrentViewById();

    public void setCurrentViewById(String currentView);

}
