/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface CatalogData extends com.mysql.grt.base.NamedGrtObjectData {

    public String getDefaultCharacterSetName();

    public String setDefaultCharacterSetName(String defaultCharacterSetName);

    public String getDefaultCollationName();

    public String setDefaultCollationName(String defaultCollationName);

    public com.mysql.grt.db.Version getVersion();

    public com.mysql.grt.db.Version setVersion(com.mysql.grt.db.Version version);

    public com.mysql.grt.db.SchemaList getSchemata();

    public com.mysql.grt.db.SchemaList setSchemata(com.mysql.grt.db.SchemaList schemata);

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes();

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes);

    public com.mysql.grt.db.CharacterSetList getCharacterSets();

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets);

}
